C--------------------------------------------------------------------
C  Copyright (C) 2002,  Space Science and Engineering Center, 
C  University C  of Wisconsin-Madison, Madison WI.
C      
C  This program is free software; you can redistribute it 
C  and/or modify it under the terms of the GNU General 
C  Public License as published by the Free Software Foundation; 
C  either version 2 of the License, or (at your option) any 
C  later version.
C
C  This program is distributed in the hope that it will be 
C  useful, but WITHOUT ANY WARRANTY; without even the implied 
C  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
C  See the  GNU General Public License for more details.
C
C  You should have received a copy of the GNU General Public 
C  License along with this program; if not, write to the Free 
C  Software Foundation, Inc., 59 Temple Place, Suite 330, 
C  Boston, MA  02111-1307 USA
C--------------------------------------------------------------------
C
C
      subroutine db_init_granule_var_mod06ct( ssctpr, slcd, smcd, 
     *  shcd, sthncd, sthkcd, sopcd, scicd )
      
c-----------------------------------------------------------------------
c
c!F77
c
c!Description:
c    Initialize counters for metadata for the CO2 Slicing part of the 
c     MODIS Cloud Top Properties product (MOD06) for Direct Broadcast.
c
c!Input Parameters:
c
c    Counters for metadata:
c    ssctpr                      number of successful retrievals
c    slcd                        number of low clouds
c    smcd                        number of mid-level clouds
c    shcd                        number of high clouds
c    sthncd                      number of "thin clouds"
c    sthkcd                      number of "thick clouds"
c    sopcd                       number of opaque clouds
c    scicd                       number of cirrus clouds
c
c!Output Parameters:
c
c    Counters for metadata:
c    ssctpr                      number of successful retrievals
c    slcd                        number of low clouds
c    smcd                        number of mid-level clouds
c    shcd                        number of high clouds
c    sthncd                      number of "thin clouds"
c    sthkcd                      number of "thick clouds"
c    sopcd                       number of opaque clouds
c    scicd                       number of cirrus clouds
c
c!Revision History:
c
c!Team-unique Header:
c
c!End
c
c-----------------------------------------------------------------------

      implicit none
      save
          
c ... arguments

      integer ssctpr,slcd,smcd,shcd,sthncd,sthkcd,sopcd,scicd


c     Initialize counters
      ssctpr = 0
      slcd = 0
      smcd = 0
      shcd = 0
      sthncd = 0
      sthkcd = 0
      sopcd = 0
      scicd = 0

      return
      end
