C--------------------------------------------------------------------
C  Copyright (C) 2002,  Space Science and Engineering Center, 
C  University C  of Wisconsin-Madison, Madison WI.
C      
C  This program is free software; you can redistribute it 
C  and/or modify it under the terms of the GNU General 
C  Public License as published by the Free Software Foundation; 
C  either version 2 of the License, or (at your option) any 
C  later version.
C
C  This program is distributed in the hope that it will be 
C  useful, but WITHOUT ANY WARRANTY; without even the implied 
C  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
C  See the  GNU General Public License for more details.
C
C  You should have received a copy of the GNU General Public 
C  License along with this program; if not, write to the Free 
C  Software Foundation, Inc., 59 Temple Place, Suite 330, 
C  Boston, MA  02111-1307 USA
C--------------------------------------------------------------------
C
C
      subroutine db_init_granule_var_mod06ir( ni, nw, nx, nu, ng_irp )

c-----------------------------------------------------------------------
c
c!F77
c
c!Description:
c    Initialize granule based counter variables for MOD_PR06IR portion
c     of the MODIS Cloud top properties code for Direct Broadcast.
c
c!Input Parameters:
c
c    Counters for metadata:
c    ni                          number of ice clouds
c    nw                          number of water clouds
c    nx                          number of mixed phase clouds
c    nu                          number of uncertain phase clouds
c    ng_irp                      number if good irphase retrievals
c
c!Output Parameters:
c
c    Initialized counters for metadata:
c    ni                          number of ice clouds
c    nw                          number of water clouds
c    nx                          number of mixed phase clouds
c    nu                          number of uncertain phase clouds
c    ng_irp                      number if good irphase retrievals
c
c!Revision History:
c
c!Team-unique Header:
c
c!End
c
c-----------------------------------------------------------------------
c
c ... arguments
      integer ni, nw, nx, nu, ng_irp

c ... Initialize counters
      ni = 0
      nw = 0
      nx = 0
      nu = 0
      ng_irp = 0

      return
      end

