C--------------------------------------------------------------------
C  Copyright (C) 2002,  Space Science and Engineering Center, 
C  University C  of Wisconsin-Madison, Madison WI.
C      
C  This program is free software; you can redistribute it 
C  and/or modify it under the terms of the GNU General 
C  Public License as published by the Free Software Foundation; 
C  either version 2 of the License, or (at your option) any 
C  later version.
C
C  This program is distributed in the hope that it will be 
C  useful, but WITHOUT ANY WARRANTY; without even the implied 
C  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
C  See the  GNU General Public License for more details.
C
C  You should have received a copy of the GNU General Public 
C  License along with this program; if not, write to the Free 
C  Software Foundation, Inc., 59 Temple Place, Suite 330, 
C  Boston, MA  02111-1307 USA
C--------------------------------------------------------------------
C
C
      subroutine db_mod06_file_close( 
     &                                l1b_1km_lun,
     &                                eco_1km_lun,
     &                                geo_1km_lun,
     &                                mask_lun,
     &                                scan_1km_lun,
     &                                anc_met_lun,
     &                                mod06ct_lun,
     &                                hdr_lun,
     &                                qa_lun,
     &                                qa_hdr_lun
     &                               )
      implicit none
      save

C-----------------------------------------------------------------------
C!F77
C
C!DESCRIPTION:
c Program which will close files used in the main DB Cloud 
c Top Properties and cloud phase program. 
C
C!INPUT PARAMETERS:    None.
C
C!OUTPUT PARAMETERS:
C
C   l1b_1km_lun        LUN for open 1km L1B data file
C   eco_1km_lun        LUN for open 1km ecosystem file
C   geo_1km_lun        LUN for open geo file
C   scan_1km_lun       LUN for scan based metadata information
C   mask_lun           LUN for open Cloud Mask file
C   anc_met_lun        LUN for open met data file
C   mod06ct_lun        LUN for MOD06CT output file
C   hdr_lun            LUN for MOD06CT output header file
C   qa_lun             LUN for open CTP file
C   hdr_lun            LUN for MOD06CT QC output header file
C
C!REVISION HISTORY:
c
C!TEAM-UNIQUE HEADER:
C
C!REFERENCES AND CREDITS
C
C EXTERNALS:
C
C       NAMED CONSTANTS:
C
C
C!END-------------------------------------------------------------------

c --- arguments
      integer eco_1km_lun, l1b_1km_lun, geo_1km_lun, 
     +        scan_1km_lun, anc_met_lun, mask_lun, qa_lun, hdr_lun,
     +        mod06ct_lun, qa_hdr_lun


c ... close files
      close(l1b_1km_lun)
      if (eco_1km_lun .ne. -1) close(eco_1km_lun)
      close(geo_1km_lun)
      close(anc_met_lun)
      close(mask_lun)
      close(scan_1km_lun)
      close(qa_lun)
      close(qa_hdr_lun)
      close(mod06ct_lun)
      close(hdr_lun)

      return
      end
